---
# file: roles/consul/tasks/main.yml

- include_tasks: arch.yml
  when: ansible_os_family == 'Archlinux'

- include_tasks: debian.yml
  when: ansible_os_family == 'Debian'

- name: Install consul
  unarchive:
    src: https://releases.hashicorp.com/consul/1.5.1/consul_1.5.1_linux_amd64.zip
    dest: /usr/local/bin
    remote_src: yes

- name: Verify consul installation
  shell: "consul --version"
  register: consul_version

- assert:
    that:
      - "'Consul' in consul_version.stdout"

- name: Create consul user
  user:
    name: consul

- name: Create Consul /var directory
  file:
    path: /var/consul
    state: directory
    owner: consul
    group: consul
    mode: 0755
